You are viewing a plain text version of this content. The canonical link for it is here.
Posted to commits@kudu.apache.org by gr...@apache.org on 2020/04/03 18:04:42 UTC

[kudu] branch master updated: [docker] Remove `set -x` from entrypoint scripts

This is an automated email from the ASF dual-hosted git repository.

granthenke pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/kudu.git


The following commit(s) were added to refs/heads/master by this push:
     new 447b45d  [docker] Remove `set -x` from entrypoint scripts
447b45d is described below

commit 447b45dce77019e0738cf3d13f022b2be6a48cb7
Author: Grant Henke <gr...@apache.org>
AuthorDate: Fri Apr 3 11:25:05 2020 -0500

    [docker] Remove `set -x` from entrypoint scripts
    
    This patch removes the `set -x` from entrypoint scripts to prevent
    noise in scripts that users interact with.
    
    Change-Id: I4b14a6358035cf399887a1059bf0176c59411686
    Reviewed-on: http://gerrit.cloudera.org:8080/15643
    Tested-by: Kudu Jenkins
    Reviewed-by: Alexey Serbin <as...@cloudera.com>
---
 docker/impala-entrypoint.sh | 2 +-
 docker/kudu-entrypoint.sh   | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/docker/impala-entrypoint.sh b/docker/impala-entrypoint.sh
index 61d086b..63fc496 100755
--- a/docker/impala-entrypoint.sh
+++ b/docker/impala-entrypoint.sh
@@ -22,7 +22,7 @@
 # https://docs.docker.com/develop/develop-images/dockerfile_best-practices/#entrypoint
 ################################################################################
 
-set -xe
+set -e
 set -o pipefail
 
 function print_help {
diff --git a/docker/kudu-entrypoint.sh b/docker/kudu-entrypoint.sh
index f763085..8202143 100755
--- a/docker/kudu-entrypoint.sh
+++ b/docker/kudu-entrypoint.sh
@@ -22,7 +22,7 @@
 # https://docs.docker.com/develop/develop-images/dockerfile_best-practices/#entrypoint
 ################################################################################
 
-set -xe
+set -e
 set -o pipefail
 
 function print_help {